@import "src/sass/abstracts/abstracts";

$size: 20px;

:host {

  .round {
    cursor: initial;

    &.can-see-detail {
      cursor: pointer;
    }

    .icon {
      font-size: $size;
      color: $white;
      position: relative;
    }

    width: $size;
    height: $size;
    background-color: $medium-light-grey;
    border-radius: 100%;
    display: block;

    &.error {
      background-color: $red;
    }

    &.ready {
      background-color: $green-sweet;
    }

    &.warning {
      background-color: $warning;
    }

    &.cleaned {
      background-color: $white;
      border: 1px solid $medium-light-grey;
    }

    &.pending {
      animation-name: rotate;
      animation-duration: 2s;
      animation-iteration-count: infinite;
      animation-timing-function: linear;

      @keyframes rotate {
        from {
          transform: rotate(0deg);
        }
        to {
          transform: rotate(360deg);
        }
      }
    }
  }

}
